[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Sptr

Return current stack pointer

## Declaration

Source position: systemh.inc line 1016

`function Sptr: Pointer;`

## Description

Sptr returns the current stack pointer.

## Errors

None.

## See also

SSeg |  | Return stack segment register value.

## Example

    program Example64;

    { Program to demonstrate the sptr function. }

    var p:ptruint;

    begin
      p:=ofs(sptr); { P Contains now the current stack position. }
    end.

Documentation generated on: Feb 26 2014